<?php
gatekeeper();

$user = elgg_get_logged_in_user_entity();

elgg_set_page_owner_guid($user->guid);

$title = elgg_echo('newsfeed');

$options = array(
	'distinct' => false
);

if (elgg_is_active_plugin('hypeWall')) {
	$hypewall = elgg_view('widgets/wall/content', array('entity' => $user));
            } else {
				if (elgg_is_active_plugin('thewire')) {
					$hypewall = elgg_view_form('thewire/add', array('entity' => $user));
				}
			}

$activity = elgg_list_river($options);
if (!$activity) {
	$activity = elgg_echo('river:none');
}

//elgg_set_page_owner_guid(1);
$content = elgg_view_layout('two_sidebar', array(
	'title' => $title,
	'content' => $hypewall . $activity,
));

echo elgg_view_page($title, $content);

