<?php
/**
 * Elgg Message board add form body
 *
 * @package ElggMessageBoard
 */

echo elgg_view('input/plaintext', array(
	'name' => 'message_content',
	'class' => 'messageboard-input mbs',
	'placeholder' => elgg_echo('messageboard:placeholder')
));

echo elgg_view('input/hidden', array(
	'name' => 'owner_guid',
	'value' => elgg_get_page_owner_guid()
));

echo elgg_view('input/submit', array(
	'value' => elgg_echo('messageboard:postit')
));
$owner = elgg_get_page_owner_entity();
echo elgg_view('output/url', array(
				'text' => elgg_echo('messages:sendmessage'),
				'href' => 'messages/compose?send_to=' . $owner->guid,
				'class' => 'elgg-button elgg-button-action'
			));
