<?php
/**
 * Elgg title element
 *
 * @uses $vars['title'] The page title
 * @uses $vars['class'] Optional class for heading
 */

if (isset($vars['header'])) {
	echo $vars['header'];
	return true;
}

$class = '';
if (isset($vars['class'])) {
	$class = " class=\"{$vars['class']}\"";
}

echo "<h1{$class}>{$vars['title']}</h1>";
//echo elgg_view('navigation/breadcrumbs');
?>
<?php if (!elgg_in_context('admin')) { ?>
<a class="title-button-nav" rel="toggle" data-toggle-selector=".title-menu-panel" href="#">
	<?= elgg_view_icon('sort'); ?>
</a>
<nav class="title-menu-panel" role="navigation">
	<?php echo elgg_view_menu('title', array('sort_by' => 'priority')); ?>
</nav>
<?php } ?>