/* <style> /**/
/**
 * CSS form/input elements
 */
 
 
 fieldset > div {
	margin-bottom:15px;
}

fieldset > div:last-child {
	margin-bottom:0;
}

label {
	font-weight:700;
}

input, textarea {
	font-family:"Lucida Grande",Tahoma,Verdana,Arial,sans-serif;
	border:1px solid #BDC7D8;
	padding:.5em;
	-webkit-box-sizing:border-box;
	-moz-box-sizing:border-box;
	box-sizing:border-box;
}

.elgg-input-text, textarea, .elgg-input-access, .elgg-input-tags, .elgg-input-password, .elgg-input-email, .elgg-input-url, .elgg-input-date {
	display:block;
	width:100%;
	padding:3px 12px;
	font-size:14px;
	line-height:1.428571429;
	color:#555;
	vertical-align:middle;
	background-color:#fff;
	border:1px solid #ccc;
	border-radius:4px;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075);
	-webkit-transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
	transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}

.elgg-input-text:focus, textarea:focus, .elgg-input-access:focus, .elgg-input-tags:focus, .elgg-input-password:focus, .elgg-input-email:focus, .elgg-input-url:focus, .elgg-input-date:focus {
	border-color:#66afe9;
	outline:0;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgba(102,175,233,.6);
}

.elgg-input-text[disabled], .elgg-input-text[readonly] ,fieldset[disabled] .elgg-input-text {
	cursor:not-allowed;
	background-color:#eee;
}

.elgg-longtext-control {
	float:right;
	margin-left:14px;
	font-size:80%;
	cursor:pointer;
}

.elgg-input-access {
	width: auto;
    display: inline-block;
}

input[type=checkbox], input[type=radio] {
	padding:0;
	box-sizing:border-box;
}

input[type=radio], input[type=checkbox] {
	margin:4px 0 0;
	margin-top:1px \9;
	line-height:normal;
}

input[type=file]:focus, input[type=radio]:focus, input[type=checkbox]:focus {
	outline:thin dotted #333;
	outline:5px auto -webkit-focus-ring-color;
	outline-offset:-2px;
}

.elgg-input-checkboxes.elgg-horizontal li, .elgg-input-radio.elgg-horizontal li {
	display:inline;
	padding-right:10px;
}

.ui-datepicker {
	background:#fff;
	border-bottom:2px solid #428bca;
}

.ui-datepicker-header {
	text-align:center;
	background-color:#428bca;
	color:#fff;
	font-weight:700;
	padding:3px 3px 4px;
	vertical-align:center;
	border:1px solid #3A589B;
	border-width:0 1px;
}

.ui-datepicker-next, .ui-datepicker-prev {
	text-decoration:none;
	color:#fff;
	width:14.2857%;
}

.ui-datepicker-next {
	padding-right:3px;
	float:right;
}

.ui-datepicker-prev {
	padding-left:3px;
	float:left;
}

.ui-datepicker-calendar {
	width:100%;
	border-collapse:separate;
	border:1px solid #428bca;
	border-width:0 1px;
}

.ui-datepicker-calendar th {
	background:#F2F2F2;
	border-bottom:1px solid #428bca;
	font-size:9px;
	font-weight:700;
	padding:3px 2px;
	text-align:center;
}

.ui-datepicker-calendar td {
	padding:0;
}

.ui-datepicker-calendar a {
	display:block;
	margin:1px;
	padding:4px;
	border:1px solid #fff;
	color:#666;
	cursor:pointer;
	text-align:center;
	text-decoration:none;
}
	
.ui-datepicker-calendar .ui-datepicker-current-day > a {
	font-weight:700;
	background:#DDD;
}

.ui-datepicker-calendar .ui-state-hover {
	color:#3B5998;
	border-color:#BEC8DD;
	background-color:#DFE4EE;
}

.friends-picker-container h3 {
	font-size:4em !important;
	text-align:left;
	margin:10px 0 20px !important;
	color:#999 !important;
	background:none !important;
	padding:0 !important;
}

.friends-picker .friends-picker-container .panel ul {
	text-align:left;
	margin:0;
	padding:0;
}

.friends-picker-wrapper {
	margin:0;
	padding:0;
	position:relative;
	width:100%;
}

.friends-picker {
	position:relative;
	overflow:hidden;
	margin:0;
	padding:0;
	width:730px;
	height:auto;
	background-color:#dedede;
	-webkit-border-radius:8px;
	-moz-border-radius:8px;
	border-radius:8px;
}

.friendspicker-savebuttons {
	background:#fff;
	-webkit-border-radius:8px;
	-moz-border-radius:8px;
	border-radius:8px;
	margin:0 10px 10px;
}

.friends-picker .friends-picker-container {
	position:relative;
	left:0;
	top:0;
	width:100%;
	list-style-type:none;
}

.friends-picker .friends-picker-container .panel {
	float:left;
	height:100%;
	position:relative;
	width:730px;
	margin:0;
	padding:0;
}

.friends-picker .friends-picker-container .panel .wrapper {
	margin:0;
	padding:4px 10px 10px;
	min-height:230px;
}

.friends-picker-navigation {
	margin:0 0 10px;
	padding:0 0 10px;
	border-bottom:1px solid #ccc;
}

.friends-picker-navigation ul {
	list-style:none;
	padding-left:0;
}

.friends-picker-navigation ul li {
	float:left;
	margin:0;
	background:#fff;
}

.friends-picker-navigation a {
	font-weight:700;
	text-align:center;
	background:#fff;
	color:#999;
	text-decoration:none;
	display:block;
	padding:0;
	width:20px;
	-webkit-border-radius:4px;
	-moz-border-radius:4px;
	border-radius:4px;
}

.tabHasContent {
	background:#fff;
	color:#333 !important;
}

.friends-picker-navigation li a:hover {
	background:#333;
	color:#fff !important;
}

.friends-picker-navigation li a.current {
	background:#4690D6;
	color:#fff !important;
}

.friends-picker-navigation-l, .friends-picker-navigation-r {
	position:absolute;
	top:46px;
	text-indent:-9000em;
}

.friends-picker-navigation-l a, .friends-picker-navigation-r a {
	display:block;
	height:40px;
	width:40px;
}

.friends-picker-navigation-l {
	right:48px;
	z-index:1;
}

.friends-picker-navigation-r {
	right:0;
	z-index:1;
}

.friends-picker-navigation-l {
	background: url("<?= elgg_get_simplecache_url("friendspicker.png"); ?>") no-repeat left top;
}
.friends-picker-navigation-r {
	background: url("<?= elgg_get_simplecache_url("friendspicker.png"); ?>") no-repeat -60px top;
}
.friends-picker-navigation-l:hover {
	background: url("<?= elgg_get_simplecache_url("friendspicker.png"); ?>") no-repeat left -44px;
}
.friends-picker-navigation-r:hover {
	background: url("<?= elgg_get_simplecache_url("friendspicker.png"); ?>") no-repeat -60px -44px;
}

.friendspicker-savebuttons .elgg-button-submit,.friendspicker-savebuttons .elgg-button-cancel {
	margin:5px 20px 5px 5px;
}

.friendspicker-members-table {
	background:#dedede;
	-webkit-border-radius:8px;
	-moz-border-radius:8px;
	border-radius:8px;
	margin:10px 0 0;
	padding:10px 10px 0;
}

.user-picker .user-picker-entry {
	clear:both;
	height:25px;
	padding:5px;
	margin-top:5px;
	border-bottom:1px solid #ccc;
}

.user-picker-entry .elgg-button-delete {
	margin-right:10px;
}