/**
 * CSS elggBook theme
 *
 * @package elggBookTheme
 * @subpackage UI
 */
/* <style> /**/

.elgg-bitcoin-button {
	font-size:1.5em!important;
	text-align: center;
}

.elgg-icon{
	vertical-align:middle;
}

.elgg-icon.elgg-inline-block {
	width: 25px;
}

a:active, a:hover {
    text-decoration: none;
}

.elgg-menu-page li > a img {
    padding-right: 10px;
    vertical-align: middle;
    width: 20px;
    height: 20px;
}

dl,dt,dd {
	margin:0;
	padding:0;
}

.elgg-profile{
	display:block;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
	padding: 10px;
}

.elgg-profile > dt {
	float:left;
	width:auto;
	font-weight:700;
	color:#999;
	padding:10px;
}

.elgg-profile > dd {
	padding:10px;
}

.elgg-profile >dd~dd {
	border-top:1px solid #E9E9E9;
}

.elgg-profile > dd+dd {	
    padding-left:0;
    margin-left:120px;
}

#profile-details.elgg-body.pll {
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

.elgg-owner-block > .elgg-head {
    text-align: center;
}

.elgg-form, .elgg-content.clearfix {
	padding: 10px;
    margin: 10px auto;
}

img {
	max-width:100%;
}

.elgg-river-attachments.clearfix > .elgg-avatar-large > a > img {
	width: 250px;
}

#groups-tools > .elgg-module {
	width:229px;
}

#elggbook-topbar-logo {
	margin-top:-12px;
	font-size:20px;
	color:#fff;
	text-shadow:0 0 1px #add8e6;
	text-align:center;
}

.elgg-menu-topbar .inbox-unread-count {
    right: 0px !important;
}
.friend-request-new, #notifier-new {
    left: 20px;
}
.elgg-menu-item-friend-request {
	font-size: 15px;
}
#notifier-popup {
	max-height: 300px;
    overflow-y: auto;
}

#elggbook-topbar-logo:hover {
	margin-top:-4px;
	font-size:20px;
	color:#000;
	text-shadow:0 0 1px #add8e6;
	text-align:center;
}

.elgg-form-small input, .elgg-form-small textarea {
	font-size: 11px;
}

.elgg-image-block-small > .elgg-image {
	margin-right: 5px;
}

.ui-tabs-hide {
	display: none;
}

.messageboard-input {
	margin-bottom:5px;
}

.elgg-attachment-description {
	margin-top:5px;
}

#thewire-form-composer #thewire-textarea { 
    margin-top:0;
}

.messageboard-input {
	height:60px;
}

.elgg-form-profile-edit {
	max-width:100%;
}

div.message {
	min-height:20px;
	padding:9px;
	background-color:#f5f5f5;
	border:1px solid #e3e3e3;
	border-radius:3px;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
}

.well {
	min-height:20px;
	padding:19px;
	margin-bottom:20px;
	background-color:#f5f5f5;
	border:1px solid #e3e3e3;
	border-radius:4px;
	-webkit-box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
	box-shadow:inset 0 1px 1px rgba(0,0,0,.05);
}

.panel {
	margin-bottom:20px;
	border:1px solid transparent;
	border-radius:4px;
	-webkit-box-shadow:0 1px 1px rgba(0,0,0,.05);
	box-shadow:0 1px 1px rgba(0,0,0,.05);
}

.panel-body {
	padding:15px;
}

.panel-body:before, .panel-body:after {
	display:table;
	content:" ";
}

.panel-body:after {
	clear:both;
}

.panel-body:before, .panel-body:after {
	display:table;content:" ";
}

.panel-body:after {
	clear:both;
}

.panel > .list-group {
	margin-bottom:0;
}

.panel > .list-group .list-group-item {
	border-width:1px 0;
}
	
.panel > .list-group .list-group-item:first-child {
	border-top-right-radius:0;
	border-top-left-radius:0;
}

.panel > .list-group .list-group-item:last-child {
	border-bottom:0;
}

.panel-heading+.list-group .list-group-item:first-child {
	border-top-width:0;
}

.panel > .table {
	margin-bottom:0;
}

.panel > .panel-body+.table {
	border-top:1px solid #ddd;
}

.panel-heading {
	color:#fff;
	padding:10px 15px;
	border-bottom:1px solid transparent;
    border-top-right-radius:3px;
	border-top-left-radius:3px;
}

.panel-title {
	margin-top:0;
	margin-bottom:0;
	font-size:16px;
}

.panel-title > a {
	color:inherit;
}

.panel-footer {
	padding:10px 15px;
	background-color:#f5f5f5;
	border-top:1px solid #ddd;
	border-bottom-right-radius:3px;
	border-bottom-left-radius:3px;
}
	
.panel-group .panel {
	margin-bottom:0;
	overflow:hidden;
	border-radius:4px;
}

.panel-group .panel+.panel {
	margin-top:5px;
}

.panel-group .panel-heading {
	border-bottom:0;
}

.panel-group .panel-heading+.panel-collapse .panel-body {
	border-top:1px solid #ddd;
}

.panel-group .panel-footer {
	border-top:0;
}

.panel-group .panel-footer+.panel-collapse .panel-body {
	border-bottom:1px solid #ddd;
}

.panel-default {
	border-color:#ddd;
}

.panel-default > .panel-heading {
	color:#333;
	background-color:#f5f5f5;
	border-color:#ddd;
}

.panel-default > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#ddd;
}

.panel-default > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#ddd;
}

.panel-primary {
	border-color:#428bca;
}

.panel-primary > .panel-heading {
	color:#fff;
	background-color:#428bca;
	border-color:#428bca;
}

.panel-primary > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#428bca;
}

.panel-primary > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#428bca;
}

.panel-success {
	border-color:#d6e9c6;
}

.panel-success > .panel-heading {
	color:#468847;
	background-color:#dff0d8;
	border-color:#d6e9c6;
}

.panel-success > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#d6e9c6;
}

.panel-success > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#d6e9c6;
}

.panel-warning {
	border-color:#fbeed5;
}

.panel-warning > .panel-heading {
	color:#c09853;
	background-color:#fcf8e3;
	border-color:#fbeed5;
}

.panel-warning > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#fbeed5;
}

.panel-warning > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#fbeed5;
}

.panel-danger {
	border-color:#eed3d7;
}

.panel-danger > .panel-heading {
	color:#b94a48;
	background-color:#f2dede;
	border-color:#eed3d7;
}

.panel-danger > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#eed3d7;
}

.panel-danger > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#eed3d7;
}

.panel-info {
	border-color:#bce8f1;
}

.panel-info > .panel-heading {
	color:#3a87ad;
	background-color:#d9edf7;
	border-color:#bce8f1;
}

.panel-info > .panel-heading+.panel-collapse .panel-body {
	border-top-color:#bce8f1;
}

.panel-info > .panel-footer+.panel-collapse .panel-body {
	border-bottom-color:#bce8f1;
}

.elgg-gallery > li {
    padding: 10px;
}

.elgg-menu-content.ckeditor-toggle-editor.elgg-longtext-control.hidden {
	display: block;
}

.hidden.elgg-likes.elgg-module.elgg-module-popup.elgg-state-active.elgg-state-popped {
	width: 500px;
    margin: 0 auto;
}

.elgg-sidebar .elgg-search {
    display: none;
}

.site-logo {
    display: none;
}

.elgg-menu-owner-block li > a > .elgg-icon, .elgg-menu-site > li > a .elgg-icon, .elgg-menu-extras li > a > .elgg-icon, .elgg-menu-page li > a > .elgg-icon, .elgg-menu-composer li > a > .elgg-icon {
    margin-right: 10px;
}

.elgg-more > a {
	display: none !important;
}

.elgg-more {
    border-bottom: 1px solid #EEE;
}

.elgg-module-info > .elgg-body {
    overflow: visible;
}

.language_selector {
    margin-left: 20px;
    top: 20px;
	position: relative;
	text-align: center;
}

.faq-list {
    padding: 0 20px;
}

.elgg-owner-block > .elgg-head {
    border: 5px solid #B1BCCE;
}

.elgg-owner-block > .elgg-head > .elgg-avatar > a > img {
    width: 100%;
    height: 300px;
}

.elgg-owner-block {
    margin-bottom: 0px;
}

.elgg-avatar-large {
    width: auto;
}

.elgg-avatar-small > a > img {
    width: 38px;
    height: 38px;
    background-size: 38px;
}

.elgg-river-attachments.clearfix > .elgg-avatar-large > a > img {
    width: auto;
}

.userpoints_profile.mtm, .lastlogin, .badges_profile {
    background: none;
	margin-top: 0px;
}

.elgg-menu-hover {
    max-height: 300px;
    overflow-y: scroll;
    margin-left: -266px;
}

.user_settings {
	padding: 5px;
}

#widget_profile_completeness_progress_bar {
    background: #0DC20D;
}

.elgg-list.elgg-list-annotation.elgg-annotation-list {
    background-repeat: repeat;
    margin-left: 0px;
    margin-top: 15px;
    position: relative;
    -moz-box-shadow: 1px 1px 8px #bdbdbd;
    -webkit-box-shadow: 1px 1px 8px #bdbdbd;
    box-shadow: 1px 1px 8px #bdbdbd;
    filter: progid:DXImageTransform.Microsoft.Shadow(strength=1, direction=135, color='#bdbdbd');
    -ms-filter: "progid:DXImageTransform.Microsoft.Shadow(strength=1, Direction=135, Color='#bdbdbd')";
	text-align: center;
}

.elgg-list.elgg-list-annotation.elgg-annotation-list > .elgg-item {
    background: #FBD467 url('elggbook_pro/sponka.png') bottom 0px right 0px;
    background-repeat: no-repeat;
	margin: 5px;
    padding: 5px;
	display: inline-block;
    width: 45%;
    vertical-align: top;
	text-align: left;
}

.elgg-listing-full.elgg-content.clearfix {
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

.elgg-menu-entity > li {
    margin-left: 10px;
}

.elgg-form.elgg-form-messageboard-add {
	background: #ffffff;
}

.elgg-image-alt img {
    height: 40px;
    width: 100px;
}

.elgg-menu-filter {
    display: block !important;
	padding: 0;
}

.elgg-menu-filter > li, .elgg-tabs > li {
    border-bottom-width: 1px;
    border-radius: 0;
}

.elgg-menu-filter .elgg-state-selected a {
    border: 0;
}

.elgg-menu-filter > li.elgg-state-selected > a, .elgg-tabs > li.elgg-state-selected > a {
    top: 0px;
}

.elgg-layout > .elgg-body > .elgg-head > h1 {
    display: inline-block;
}

.login_with_twitter {
    text-align: center;
}

/* ***************************************
	TOPBAR MENU DROPDOWN
*****************************************/
.elgg-topbar-dropdown {
	padding-bottom: 8px; /* forces button to reach bottom of topbar */
}
.elgg-menu-topbar > li > .elgg-topbar-dropdown:hover {
	color: #EEE;
	cursor: default;
}
.elgg-menu-topbar-alt > li > a {
    padding: 8px 0px 0 10px;
}
.elgg-menu-topbar-alt ul {
	position: absolute;
	display: none;
	background-color: #FFF;
	border: 1px solid #DEDEDE;
	text-align: left;
	top: 33px;
	margin-left: -100px;
	width: 180px;

	border-radius: 0 0 3px 3px;
	box-shadow: 1px 3px 5px rgba(0, 0, 0, 0.25);
}
.elgg-menu-topbar-alt li ul > li > a {
	text-decoration: none;
	padding: 10px 20px;
	background-color: #FFF;
	color: #444;
}
.elgg-menu-topbar-alt li ul > li > a:hover {
	background-color: #F0F0F0;
	color: #444;
}
.elgg-menu-topbar-alt > li:hover > ul {
	display: block;
}
.elgg-menu-item-account > a:after {
	content: "\bb";
	margin-left: 6px;
}

.interactions-component .elgg-form .elgg-foot {
    float: right;
}
.elgg-menu-wall-filter > li { 
    display: inline-block; 
	margin: 0 2px !important;
}
.elgg-menu-wall-filter > li a { 
    padding: 2px;
    width: 30px;
    height: 25px;
    line-height: 20px;
    text-align: center;
    vertical-align: middle;
    border-radius: 3px;
}
.wall-input-status, .wall-input-description, #thewire-textarea, .mtm.thewire-textarea { 
   font-family: 'Trebuchet MS', FontAwesome, sans-serf;
}
.elgg-menu-wall-filter > li.elgg-state-selected a, .elgg-menu-wall-filter > li a:hover { 
   background: #dcdcdc;
}
.wall-icon {
	margin: 0 5px;
}

.elgg-menu-wall-filter .elgg-icon {
    line-height: 26px;
    vertical-align: middle;
}

.elgg-menu-wall-tools > li > a .elgg-icon {
    font-size: 18px;
}

.wall-icon.wall-icon-status:before { content: "\f040" !important; color: #054269; }
.wall-icon.wall-icon-thewire:before {color: #27a2a7; }
.wall-icon.wall-icon-video:before {color: #ed00b8; }
.wall-icon.wall-icon-videos:before {color: #ed00b8; }
.wall-icon.wall-icon-poll:before {color: #d77501; }
.wall-icon.wall-icon-event:before {color: #0b9090; }
.wall-icon.wall-icon-content:before {color: #f9bd56; }
.wall-icon.wall-icon-tidypics:before {color: #ff006c; }
.wall-icon.wall-icon-hjalbum:before {color: #ff006c; }
.wall-icon.wall-icon-blog:before {color: #f580a7; }
.wall-icon.wall-icon-market:before {color: #fe0000; }
.wall-icon.wall-icon-photo:before { color: #773118; }

.wall-container { 
   margin: 0px !important; 
   background: #ffffff; 
}
.wall-bubble .elgg-foot {
	width: 100%;
	clear:both;
}
.wall-bubble .categories {
	width: 100%;
	clear: both;
}
.elgg-form-blog-save div {
    clear: both!important;
    margin-bottom: 10px!important;
}
.elgg-form-blog-save div.cke_inner {
    width: 100%!important;
}
.wall-container form label {
	float: none !important;
	 margin-right: 10px!important;
	 display: inline-block;
}
.wall-container form .wall-bar-controls > li input, .wall-container form .wall-bar-controls > li select { 
    margin: 0px 3px 3px 0 !important; 
}
.wall-container .elgg-input-spacer { 
    display: block !important; 
}
.wall-post > .elgg-body { 
    padding-left: 0px !important; 
	padding-right: 0px !important;
	font-size: 80%;
	width: auto !important;
    float: none !important;
	overflow: visible;
}
.wall-post > .elgg-body .wall-bubble { 
	padding: 0px !important;
	margin-left: 0 !important;
    border: 1px solid #edf0f5 !important;
	font-size: 15px; 
}
.wall-post > .elgg-body .wall-bubble::before {
    border-color: transparent #dcdcdc transparent transparent !important;
}
.wall-post > .elgg-body .elgg-content {
    margin-top: 40px;
}
.wall-container {
    margin: 0px 0px 20px 0px !important;
    padding: 0 !important;
	border: 0 !important;
}
.wall-container > .elgg-image {
    padding: 40px 0px 0 10px;
    margin-right: 5px;
}
.elgg-river-layout .wall-container {
    margin: 20px 0 20px 15px !important;
}
.wall-container form {
	padding: 0 10px 0 0;
	margin-top: 0;
}
.wall-container form fieldset {
    width: auto;
}
.wall-container form textarea {
    background: #edf0f5 !important;
	margin-top: 0px;
    border-radius: 0;
}
.elgg-menu-wall-filter {
	font-size: 90% !important;
    margin: 5px !important;
	border-bottom: 0 !important;
}
.wall-post > .elgg-image {
    width: 40px !important;
	height: 40px;
	z-index: 1;
	padding: 2px !important;
}
.wall-post > .elgg-image .elgg-avatar img {
    max-width: 100%;
    height: 40px !important;
    width: 40px !important;
}
.wall-post>.elgg-image .wall-owner-icon-block {
    margin: -20px 0 0 15px;
}
.wall-status-counter {
    margin-bottom: 0px !important;
    font-size: 100%;
}
#wall-form-hjalbum, #wall-form-videos, #wall-form-event, #wall-form-blog, #wall-form-market, #wall-form-poll, #wall-form-videolist, .wall-fieldset-tags, .wall-input-url, .wall-input-attachment, .wall-dropzone {
	padding: 0 10px !important;
}
#wall-form-hjalbum, #wall-form-videos, #wall-form-event, #wall-form-blog, #wall-form-market, #wall-form-poll, #wall-form-videolist, #wall-form-calendar {
    *margin-top: 25px;
}
#wall-form-hjalbum label, #wall-form-videos label {
	font-weight: bold !important;
}
#wall-form-hjalbum.wall-form .elgg-input-plaintext, #wall-form-poll.wall-form .elgg-input-longtext, #wall-form-videos.wall-form .elgg-input-longtext, #wall-form-event.wall-form .elgg-input-longtext, #wall-form-videolist.wall-form .elgg-input-longtext, #wall-form-blog.wall-form .elgg-input-longtext, #wall-form-market.wall-form .elgg-input-plaintext, #wall-form-calendar.wall-form .elgg-input-longtext {
    background: #fff !important;
    border: 1px solid #dcdcdc !important;
}
#wall-form-hjalbum.wall-form .elgg-foot {
    width: auto !important;
	text-align: left;
}
.elgg-sortable-list-fieldset > .elgg-field {
    display: inline-block !important;
}
.sraper-card-photo {
    width: 100%;
    height: auto;
}
.wall-form select {
	border: none;
    box-shadow: none;
	border-radius: 0;
	background: ##EEEEEE;
    background-image: -webkit-gradient(linear,lefttop,leftbottom,from(#fdfdfd),to(#EEEEEE));
    background-image: -moz-linear-gradient(top,#fdfdfd,#EEEEEE);
    background-image: -webkit-linear-gradient(top,#fdfdfd,#EEEEEE);
    background-image: -o-linear-gradient(top,#fdfdfd,#EEEEEE);
    background-image: -ms-linear-gradient(top,#fdfdfd,#EEEEEE);
    background-image: linear-gradient(top,#fdfdfd,#EEEEEE);
    filter: progid:DXImageTransform.Microsoft.gradient(gradientType=0,startColorstr='#fdfdfd',endColorstr='#EEEEEE');
    border-top-color: #d6d6d6;
}
.wall-bar-control-access {
	float: right;
}
.wall-bubble .elgg-menu-categories .elgg-child-menu-toggle, .wall-bubble .elgg-menu-categories .elgg-child-menu-indicator {
    margin-left: 15px;
}
.elgg-river-attachments .elgg-avatar, .elgg-river-attachments .elgg-icon {
    left: 0 !important;
}
.wall-attachments-gallery.wall-block-grid-3 > li {
    width: auto !important;
}
.wall-poster-avatar, .wall-owner-avatar {
    border-radius: 0 !important;
}
.elgg-fieldset.clearfix.elgg-fieldset-horizontal.elgg-justify-right > .elgg-field {
    display: inline-block;
	margin: 5px 0px 0 5px;
}
.wall-field-status.elgg-field {
	margin-bottom: 0px;
}
.inbox-message-block {
    margin: 10px auto;
}
.inbox-message-content > .elgg-content > .scraper-card-photo {
	display: none;
}
.inbox-message {
    z-index: unset !important;
}
.messages-new {
    left: 18px;
}
#thewire-characters-remaining, .thewire-characters-remaining {
    padding-right: 0px;
	margin: 0 !important;
	display: inline-block;
}
#wall-form-thewire fieldset > .elgg-foot.mts {
    display: inline-block;
    float: right;
}
#thewire-textarea, .mtm.thewire-textarea {
    margin-top: 0;
}
#wall-form-status.wall-form.elgg-form-thewire-add.elgg-form .elgg-foot {
	text-align: right;
    padding-right: 10px;
}
.wire-status .elgg-image-block .elgg-image-alt {
	display: none;
}
.elgg-menu-interactions > li {
    font-size: 15px !important;
}
.elgg-notifications-popup {
    position: absolute !important;
    width: 250px;
}

.elgg-entity-cover {
    padding-bottom: 0%;
    height: 280px;
	z-index: -1;
}

<?php if (elgg_is_logged_in()) { ?>
    .elgg-entity-cover {
       top: 40px;
       margin-bottom: -52px;
    }
<?php } else { ?>
    .elgg-entity-cover {
       top: 0px !important;
       margin-bottom: -40px !important;
    }
<?php } ?>

.sidebar-button-nav {
	display: none;
}

.sidebar-alt-panel {
	display: none;
	position:relative;
	min-height:360px;
	background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
    background-color: #f8f8f8;
    border-color: #e7e7e7;
    box-shadow: 0 1px 0 rgba(255,255,255,.15) inset,0 1px 2px rgba(0,0,0,.35);
}

body {
	*background: url('elggbook_pro/7.jpg') no-repeat fixed center #f2f2f2;
	*background-size: cover;
}

.title-button-nav {
	display: none;
}

.title-menu-panel {
	display: inline-block;
	position:relative;	
	float: right;
}

.market-cartegory-nav {
	display: block;
	font-size: 18px;
	padding: 5px;
}

.market-cartegory-nav > .elgg-icon {
   float: right;
   margin: 5px;
}

.market-cartegory-panel {
	display: none;
	position:relative;	
}

@media (max-width: 1030px) {
    .elgg-page-topbar > .elgg-inner {
        width: auto;
    }
	.elgg-page-default .elgg-page-body > .elgg-inner {
        width: auto;
    }
	.elgg-page-footer {
        width: auto;
    }
	.elgg-sidebar-alt {
        margin-left: 10px;
        width: 181px;
    }
	.elgg-sidebar {
        margin-right: 10px;
        width: 181px;
    }
	.elgg-layout-two-sidebar > .elgg-body, .elgg-layout-one-sidebar > .elgg-body {
        padding: 0 10px 0 0;
    }
	.elgg-main {
       padding: 0px;
    }
}

@media (min-width: 821px) {
	.elgg-menu-page {
		border-left: 5px solid #ccc;
	}
}

@media (max-width: 820px) {	
	#profile-details {
        padding: 5px;
    }
.elgg-river-attachments, .elgg-river-message {
        padding: 10px 0px;
    }
}
@media (min-width: 767px) {

}

@media (max-width: 766px) {
    .elgg-main {
        width: 100%;
    }
	.elgg-layout-two-sidebar > .elgg-body, .elgg-layout-one-sidebar > .elgg-body {
        padding: 10px 0;
        width: 100%;
    }
	.elgg-page-default .elgg-page-body > .elgg-inner {
        padding: 10px;
    }
	.elgg-sidebar-alt {
		display: none;
    }
	.sidebar-alt-panel {
	    display: block;
        margin: 10px auto 10px;
        width: 100%;
    }
	.elgg-sidebar {
        margin: 0px;
        width: 100%;
        padding: 0;
		min-height: 30px;
    }
	.sidebar-menu-panel {
	    border-top: 2px solid #ccc;
		display: none;
		padding: 5px;
    }
	.sidebar-button-nav {
	    text-align: right;
	    display: inline-block;
		padding: 5px;
		min-height: 30px;
    }
	.title-menu-panel {
		display: none;
	    border-top: 2px solid #ccc;
	    padding: 5px;
    }
	.title-button-nav {
	    float: right;
	    display: inline-block;
		padding: 5px;
    }
	.elgg-menu-title {
        float: none;
    }
	.elgg-menu-title > li {
        display: block;
    }
	.elgg-page-topbar .elgg-search {
        display: none;
    }
	.elgg-sidebar .elgg-search {
        display: inline-block;
		padding: 0px;
		margin: 4px;
		width: 80%;
        position: absolute;
		border: 1px solid #e9e9e9;
		line-height: 10px;
        background: #3d9db3;
    }
	.elgg-sidebar .elgg-search fieldset {
        width: 90%;
        display: inline-block;
    }
	.elgg-sidebar .elgg-search input[type="text"] {
        *width: auto;
        padding: 5px;
        display: inline-block;
        float: left;
		border-right: 0;
		margin: 0;
    }
	.elgg-sidebar .elgg-search:after {
	    float: right;
	    font-family: "FontAwesome";
	    content: "\f002";
	    color: #414042;
	    position: absolute;
		font-size: 20px;
        display: inline-block;
        margin: 0px 4px;
        line-height: 30px;
    }
	.elgg-search input[type="submit"] {
        *display: inline-block !important;
		*padding: 0.63em;
    }
}

@media (max-width: 600px) {
    .elgg-river-item {
        background: none;
        padding: 0px;
    }
	.elgg-menu-topbar > li > .elgg-avatar > .elgg-icon-hover-menu {
        bottom: 5px;
    }
	.elgg-entity-cover {
        top: 30px;
    }
}

@media (max-width: 520px) {
	.elgg-page-default .elgg-page-body > .elgg-inner {
        padding: 0px;
    }
    .elgg-page-topbar {
        height: 30px;
        min-height: 30px;
        font-size: 12px;
		margin-bottom: 0px;
    }
    .elgg-page-topbar > .elgg-inner {
        padding-top: 0px;
        padding-bottom: 0px;
    }
	.elgg-menu-topbar > li > a {
        height: 20px;
		padding: 8px 5px 0 0;
    }
	.elgg-menu-item-account {
		padding-right: 5px;
        padding-left: 0;
	}
	.elgg-page-topbar ~ .elgg-page-body {
        padding-top: 40px;
    }
    .elgg-avatar-small > a > img {
        width: 30px;
        height: 30px;
        background-size: 30px;
    }
	.elgg-menu-item-logo-name {
        display: none;
    }
	.site-logo {
		display: block;
		width: 30px;
        height: 30px;
        float: left;
        padding-right: 5px;
        margin-top: -8px;
	}
	.elgg-menu-interactions > li a {
        padding: 5px !important;
        line-height: 15px !important;
    }
	.elgg-list > li {
        padding: 5px;
    }
	.elgg-button {
        padding: 3px 6px;
        font-size: 12px;
    }
    .elgg-menu-wall-filter > li a {
        margin: 0px !important;
    }
	.wall-container form {
        padding: 0 5px 0 0;
	}
	.elgg-menu-wall-filter > li a {
        width: 25px;
        height: 25px;
    }
   .elgg-entity-cover {
        background-size: contain;
        background-repeat: repeat;
	    height: 135px;
    }
	.elgg-list.elgg-list-annotation.elgg-annotation-list > .elgg-item {
        width: auto;
    }
}

@media (max-width: 400px) {
    #notifier-popup {
        left: 20px !important;
		max-height: 250px;
		max-width: 280px;
    }
    ul.elgg-menu-hover[data-elgg-menu-data*="mrclay_aalborg_topbar"] {
	    max-height: 250px;
		overflow-y: auto;
    }
	.elgg-menu-wall-filter .elgg-icon {
        font-size: 18px;
    }
	.elgg-menu-wall-tools > li > a .elgg-icon {
        font-size: 15px;
    }
	.elgg-menu-wall-tools > li > a {
       font-size: 25px;
       width: 25px;
       height: 25px;
       line-height: 20px;
    }
	.elgg-image-block.clearfix.elgg-river-item > .elgg-image {
        margin-right: 0px;
        position: absolute;
    }
	.elgg-river-summary, .elgg-river-timestamp {
        margin-left: 40px;
    }
	.elgg-topbar-profile {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        width: 90px;
    }
}
