<?php
/**
 * Elgg Market Plugin
 * @package market
 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU Public License version 2
 * @author slyhne, RiverVanRain
 * @copyright slyhne 2010-2015, wZm 2k17
 * @link https://wzm.me
 * @version 2.2
 */

$item = $vars['item'];
/* @var ElggRiverItem $item */

$object = $vars['item']->getObjectEntity();

$excerpt = $object->excerpt ? $object->excerpt : $object->description;
$excerpt = strip_tags($object->excerpt);
$excerpt = elgg_get_excerpt($excerpt);

$img1 = elgg_view('output/img', array(
				'src' => "market/image/{$object->guid}/1/medium/{$object->time_updated}",
				'class' => 'elgg-photo market-river-image',
				'alt' => $object->guid,
				));
$img2 = elgg_view('output/img', array(
				'src' => "market/image/{$object->guid}/2/medium/{$object->time_updated}",
				'class' => 'elgg-photo market-river-image',
				'alt' => $object->guid,
				));
$img3 = elgg_view('output/img', array(
				'src' => "market/image/{$object->guid}/3/medium/{$object->time_updated}",
				'class' => 'elgg-photo market-river-image',
				'alt' => $object->guid,
				));
$img4 = elgg_view('output/img', array(
				'src' => "market/image/{$object->guid}/4/medium/{$object->time_updated}",
				'class' => 'elgg-photo market-river-image',
				'alt' => $object->guid,
				));
$image = elgg_view('output/url', array(
			'href' => "market/view/{$object->guid}/" . elgg_get_friendly_title($object->title),
			'text' => $img1 . $img2 . $img3 . $img4,
			));

echo elgg_view('river/elements/layout', array(
	'item' => $vars['item'],
	'message' => $excerpt,
	'attachments' => $image,
));
